<div th:fragment="create-account-fragement">
	<div class="card-group">
		<div class="card border-0">
			<div class="card-body" style="background-color:#ededed; margin-top:20px;">
				<div class="alert alert-info" th:if="${emailSent}">
					Un mail a été envoyé à l'adresse mail rensignée. Veuillez consulter votre boite mail et cliquer sur le lien afin de valider la création de votre compte.
				</div>
				<form th:action="@{/createAccount}" method="post">
				  <div class="form-group">
				    <label for="lastname">* Nom de votre société</label>
				    <input type="text" class="form-control" id="company" name="company" th:value="${user.company}" aria-describedby="companyHelp" placeholder="Saisir le nom de votre société">
				    <small id="companyHelp" class="form-text text-muted">Veuillez saisir le nom de votre société (Si vous n'avez pas de société, mettez "Particulier").</small>
				  </div>
				  
				  <div class="form-group">
				    <label for="firstname">* Nom</label>
				    <input type="text" class="form-control" id="firstname" name="firstname"  th:value="${user.firstname}" aria-describedby="firstnameHelp" placeholder="Saisir votre nom de famille">
				    <small id="firstnameHelp" class="form-text text-muted">Veuillez saisir un nom de famille.</small>
				  </div>
				  
				  <div class="form-group">
				    <label for="lastname">* Prénom</label>
				    <input type="text" class="form-control" id="lastname" name="lastname" th:value="${user.lastname}" aria-describedby="lastnameHelp" placeholder="Saisir votre prénom">
				    <small id="lastnameHelp" class="form-text text-muted">Veuillez saisir votre prénom.</small>
				  </div>
				  
				  <div class="form-group">
				    <label for="email">* Adresse mail</label>&nbsp<span style="color:red;" th:if="${emailExists}"> Cette adresse mail est deja associé à un compte, veuillez choisir une autre adresse mail.</span>
				    <input type="email" class="form-control" id="email" name="email" th:value="${user.email}" aria-describedby="emailHelp" placeholder="Saisir votre adresse mail">
				    <small id="emailHelp" class="form-text text-muted">Veuillez saisir votre adresse mail.</small>
				  </div>
				  
				  <div class="form-group">
				    <label for="phone">* Téléphone</label>
				    <input type="tel" pattern="[0-9]{10}" class="form-control" id="tel" name="tel" th:value="${user.tel}" aria-describedby="phoneHelp" placeholder="Saisir votre numéro de téléphone">
				    <small id="phoneHelp" class="form-text text-muted">Veuillez saisir un numéro de téléphone via lequel nous pourrons vous joindre, si besoin. Format: 0666778899</small>
				  </div>
				  
				  <div class="form-group">
				    <label for="address">* Adresse de livraison</label>
				    <input type="text" class="form-control" id="address" name="address" th:value="${user.address}" aria-describedby="addressHelp" placeholder="Saisir votre adresse">
				    <small id="addressHelp" class="form-text text-muted">Veuillez saisir votre adresse.</small>
				  </div>
				  
				  <div class="form-group">
				    <label for="username">* Nom d'utilisateur</label>&nbsp<span style="color:red;" th:if="${usernameExists}"> Ce nom d'utulisateur existe deja, veuillez choisir un autre nom d'utilisateur.</span>
				    <input type="text" class="form-control" id="username" name="username" th:value="${user.username}" aria-describedby="usernameHelp" placeholder="Choisir un nom d'utilisateur">
				    <small id="usernameHelp" class="form-text text-muted">Veuillez choisir un nom d'utilisateur (Vous pouvez mettre votre adresse mail).</small>
				  </div>
				  <div class="form-group">
				    <label for="password">* Mot de passe</label>
				    <input type="password" class="form-control" id="password" name="password" aria-describedby="passwordHelp" placeholder="Choisir un mot de passe">
				    <small id="usernameHelp" class="form-text text-muted">Veuillez choisir un mot de passe.</small>
				  </div>
				  <div class="form-group">
				    <label for="confirmPassword">* confirmer mot de passe</label>
				    <input type="password" class="form-control" id="confirmPassword" name="confirmPassword" aria-describedby="confirmPasswordHelp" placeholder="Confirmer le mot de passe">
				    <small id="confirmPasswordHelp" class="form-text text-muted">Veuillez confirmer le mot de passe.</small>
				  </div>
				  <button type="submit" class="btn btn-primary">Créer le compte</button>
				</form>
			</div>
		</div>
	</div>
</div>

<div th:fragment="confirm-created-account-fragement">
	<div class="card-group">
		<div class="card border-0">
			<div class="card-body"
				style="background-color: #ededed; margin-top: 20px;">
				<div class="alert alert-info">Votre compte est maintenant
					activé.</div>
				<a class="btn btn-primary" href="/login" role="button">Aller
					sur mon compte</a>
			</div>
		</div>
	</div>
</div>
					